Bug 451152 - Review Request: ghc-hsql - Simple library for database access from Haskell
Review Request: ghc-hsql - Simple library for database access from Haskell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://hackage.haskell.org/cgi-bin/ha...
:
Depends On:
Blocks: 451394 451397 451398 451400
  Show dependency treegraph
 
Reported: 2008-06-12 21:26 EDT by Rajesh Krishnan
Modified: 2010-01-25 19:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 19:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ghc-hsql-1.7-1.spec (3.79 KB, text/plain)
2008-06-12 21:26 EDT, Rajesh Krishnan
no flags Details
ghc-hsql.1.7.cabal.patch (330 bytes, patch)
2008-06-12 21:28 EDT, Rajesh Krishnan
no flags Details | Diff

  None (edit)
Description Rajesh Krishnan 2008-06-12 21:26:50 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/hsql/1.7/hsql-1.7.tar.gz
to rpmbuild/SOURCES folder.
2.  Copy attached ghc-hsql*.spec to rpmbuild/SPECS folder.
3.  Copy attached ghc-hsql.1.7.cabal.patch file to the rpmbuild/SOURCES 
folder.
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba 
rpmbuild/SPECS/ghc-hsql*.spec
  
Actual results:
You should see the compiled RPM and SRPM binaries in the respective folders.

Expected results:
--

Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess; I tested only on 
Fedora-8).
2.  The hsql.cabal file needs to have the following 2 lines modified in order 
to compile successfully:
build-depends:	base, old-time
ghc-options: -fglasgow-exts

This is done by the patch file.
Comment 1 Rajesh Krishnan 2008-06-12 21:26:50 EDT
Created attachment 309155 [details]
ghc-hsql-1.7-1.spec
Comment 2 Rajesh Krishnan 2008-06-12 21:28:31 EDT
Created attachment 309156 [details]
ghc-hsql.1.7.cabal.patch

Copy this patch file to SOURCES folder before compiling ghc-hsql.
Comment 3 Bryan O'Sullivan 2008-06-17 19:23:49 EDT
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.

Note You need to log in before you can comment on or make changes to this bug.